#2011, Eulalie Sauthier, Master Thesis

RL<- function(parames,TR) { #donne le niveau retour à partir des GEV paramètres et du temps de retour	

mu<-parames[1] #paramètres GEV
sigma<-parames[2]
xi<-parames[3]
	
if(xi != 0){
Weib_ = mu - (sigma /xi) * (1-(-log(1-(1/TR)))^(-xi))
}else{
Weib_ = mu - sigma* (-log(1/TR))
}
return(Weib_)
}